Altibase.jdbc.driver

## Class AltibasePreparedStatement

- java.lang.Object
- - Altibase.jdbc.driver.WrapperAdapter
  - - Altibase.jdbc.driver.AltibaseStatement
    - - Altibase.jdbc.driver.AbstractPreparedStatement
      - - Altibase.jdbc.driver.AltibasePreparedStatement

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

Direct Known Subclasses:
  AbstractCallableStatement, AltibaseCacheablePreparedStatement

    public class AltibasePreparedStatement
    extends AbstractPreparedStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class Altibase.jdbc.driver.AltibaseStatement

`AltibaseStatement.ExecuteResultManager`

### Field Summary

Fields
`protected boolean` `mBatchAdded`
`protected int` `mBatchJobCount`
`protected BatchRowHandle` `mBatchRowHandle`
`protected java.util.List<Column>` `mBindColumns`
`protected java.util.List` `mContext`
`protected Altibase.jdbc.driver.LobUpdator` `mLobUpdator`

### Fields inherited from class Altibase.jdbc.driver.AltibaseStatement

`BYTES_PER_CHAR, EMPTY_LARGE_BATCH_RESULT, mBatchSetBytesUseLob, mConnection, mCurrentResultIndex, mCurrentResultSet, mEscapeProcessing, mExecuteResultMgr, mExecutionResult, mFetchResult, mFetchSize, mForceClobBind, mIsClosed, mIsDeferred, mLogger, mMaxFieldSize, mMaxRows, mPrepareResult, mPrepareResultColumns, mQstr, mResultSetList, mResultSetReturned, mReUseResultSet, mSemiAsyncPrefetch, mStmtCID, mTargetResultSetConcurrency, mTargetResultSetType, mWarning`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBatch()`
`void` `addBatch(java.lang.String aSql)`
`protected void` `addMetaColumnInfo(int aIndex, int aDataType, int aPrecision)` deferred상태일때 컬럼 메타 정보를 수동으로 생성한다.
`void` `clearBatch()`
`void` `clearParameters()`
`protected void` `closeAllPrevResultSet()`
`protected void` `closeAllResultSet()`
`protected void` `closeCurrentResultSet()`
`protected void` `createProtocolContext()`
`boolean` `execute()`
`boolean` `execute(java.lang.String aSql)`
`boolean` `execute(java.lang.String aSql, int aAutoGeneratedKeys)`
`boolean` `execute(java.lang.String aSql, int[] aColumnIndexes)`
`boolean` `execute(java.lang.String aSql, java.lang.String[] aColumnNames)`
`int[]` `executeBatch()`
`long[]` `executeLargeBatch()`
`long` `executeLargeUpdate()`
`java.sql.ResultSet` `executeQuery()`
`java.sql.ResultSet` `executeQuery(java.lang.String aSql)`
`int` `executeUpdate()`
`int` `executeUpdate(java.lang.String aSql)`
`int` `executeUpdate(java.lang.String aSql, int aAutoGeneratedKeys)`
`int` `executeUpdate(java.lang.String aSql, int[] aColumnIndexes)`
`int` `executeUpdate(java.lang.String aSql, java.lang.String[] aColumnNames)`
`boolean` `getAtomicBatch()`
`protected Column` `getColumn(int aIndex, int aSqlType)`
`protected Column` `getColumn(int aIndex, int aSqlType, java.lang.Object aValue)`
`protected Column` `getColumnForInType(int aIndex, int aSqlType)`
`protected int` `getDefaultPrecisionForDeferred(int aTargetSqlType, java.lang.Object aValue)` sqlType에 해당하는 기본 precision 값을 구한다.
`java.sql.ResultSetMetaData` `getMetaData()`
`java.sql.ParameterMetaData` `getParameterMetaData()`
`protected CmProtocolContextDirExec` `getProtocolContext()`
`java.sql.ResultSet` `getResultSet()`
`int` `getStmtId()`
`protected void` `incCurrentResultSetIndex()`
`void` `setArray(int aParameterIndex, java.sql.Array aValue)`
`void` `setAsciiStream(int aParameterIndex, java.io.InputStream aValue)`
`void` `setAsciiStream(int aParameterIndex, java.io.InputStream aValue, int aLength)`
`void` `setAsciiStream(int aParameterIndex, java.io.InputStream aValue, long aLength)`
`void` `setAtomicBatch(boolean aValue)`
`void` `setBigDecimal(int aParameterIndex, java.math.BigDecimal aValue)`
`void` `setBinaryStream(int aParameterIndex, java.io.InputStream aValue)`
`void` `setBinaryStream(int aParameterIndex, java.io.InputStream aValue, int aLength)`
`void` `setBinaryStream(int aParameterIndex, java.io.InputStream aValue, long aLength)`
`void` `setBlob(int aParameterIndex, java.sql.Blob aValue)`
`void` `setBlob(int aParameterIndex, java.io.InputStream aInputStream)`
`void` `setBlob(int aParameterIndex, java.io.InputStream aInputStream, long aLength)`
`void` `setBoolean(int aParameterIndex, boolean aValue)`
`void` `setByte(int aParameterIndex, byte aValue)`
`void` `setBytes(int aParameterIndex, byte[] aValue)`
`void` `setCharacterStream(int aParameterIndex, java.io.Reader aValue)`
`void` `setCharacterStream(int aParameterIndex, java.io.Reader aValue, int aLength)`
`void` `setCharacterStream(int aParameterIndex, java.io.Reader aValue, long aLength)`
`void` `setClob(int aParameterIndex, java.sql.Clob aValue)`
`void` `setClob(int aParameterIndex, java.io.Reader aReader)`
`void` `setClob(int aParameterIndex, java.io.Reader aReader, long aLength)`
`void` `setDate(int aParameterIndex, java.sql.Date aValue)`
`void` `setDate(int aParameterIndex, java.sql.Date aValue, java.util.Calendar aCalendar)`
`void` `setDouble(int aParameterIndex, double aValue)`
`void` `setFloat(int aParameterIndex, float aValue)`
`void` `setInt(int aParameterIndex, int aValue)`
`void` `setLong(int aParameterIndex, long aValue)`
`void` `setNString(int aParameterIndex, java.lang.String aValue)`
`void` `setNull(int aParameterIndex, int aSqlType)`
`void` `setNull(int aParameterIndex, int aSqlType, java.lang.String aTypeName)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, int aTargetSqlType)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, int aTargetSqlType, int aScale)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, java.sql.SQLType aTargetSqlType)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, java.sql.SQLType aTargetSqlType, int aScaleOrLength)`
`void` `setRef(int i, java.sql.Ref aValue)`
`void` `setShort(int aParameterIndex, short aValue)`
`void` `setString(int aParameterIndex, java.lang.String aValue)`
`void` `setTime(int aParameterIndex, java.sql.Time aValue)`
`void` `setTime(int aParameterIndex, java.sql.Time aValue, java.util.Calendar aCalendar)`
`void` `setTimestamp(int aParameterIndex, java.sql.Timestamp aValue)`
`void` `setTimestamp(int aParameterIndex, java.sql.Timestamp aValue, java.util.Calendar aCalendar)`
`void` `setUnicodeStream(int aParameterIndex, java.io.InputStream aValue, int aLength)`
`void` `setURL(int aParameterIndex, java.net.URL aValue)`
`java.lang.String` `toString()`

### Methods inherited from class Altibase.jdbc.driver.AbstractPreparedStatement

`setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setRowId, setSQLXML`

### Methods inherited from class Altibase.jdbc.driver.AltibaseStatement

`afterExecution, cancel, clearAllResults, clearWarnings, close, closeOnCompletion, createInternalStatement, downgradeFetchSize, executeLargeUpdate, getConnection, getExplainPlan, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSql, getUpdateCount, getWarnings, isAsyncPrefetch, isClosed, isCloseOnCompletion, isInternalStatement, isPingSQL, isPoolable, pingAndCreateLightweightResultSet, procDowngradeAndGetTargetSql, processExecutionQueryResult, processExecutionResult, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, setSql, toInt, toIntBatchUpdateCounts`

### Methods inherited from class Altibase.jdbc.driver.WrapperAdapter

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.Statement

`cancel, clearWarnings, close, closeOnCompletion, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### mBatchJobCount

    protected int mBatchJobCount

#### mBatchAdded

    protected boolean mBatchAdded

#### mContext

    protected java.util.List mContext

#### mBindColumns

    protected java.util.List<Column> mBindColumns

#### mBatchRowHandle

    protected BatchRowHandle mBatchRowHandle

#### mLobUpdator

    protected Altibase.jdbc.driver.LobUpdator mLobUpdator

### Method Detail

#### setAtomicBatch

    public void setAtomicBatch(boolean aValue)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getAtomicBatch

    public boolean getAtomicBatch()

#### createProtocolContext

    protected void createProtocolContext()

Overrides:
  `createProtocolContext` in class `AltibaseStatement`

#### getProtocolContext

    protected CmProtocolContextDirExec getProtocolContext()

Overrides:
  `getProtocolContext` in class `AltibaseStatement`

#### closeAllResultSet

    protected void closeAllResultSet()
                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### closeAllPrevResultSet

    protected void closeAllPrevResultSet()
                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### closeCurrentResultSet

    protected void closeCurrentResultSet()
                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getColumn

    protected Column getColumn(int aIndex,
                               int aSqlType)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getColumn

    protected Column getColumn(int aIndex,
                               int aSqlType,
                               java.lang.Object aValue)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getColumnForInType

    protected Column getColumnForInType(int aIndex,
                                        int aSqlType)
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

Specified by:
  `getResultSet` in interface `java.sql.Statement`
Overrides:
  `getResultSet` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### incCurrentResultSetIndex

    protected void incCurrentResultSetIndex()

Overrides:
  `incCurrentResultSetIndex` in class `AltibaseStatement`

#### addBatch

    public void addBatch()
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### clearParameters

    public void clearParameters()
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### clearBatch

    public void clearBatch()
                    throws java.sql.SQLException

Specified by:
  `clearBatch` in interface `java.sql.Statement`
Overrides:
  `clearBatch` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

Specified by:
  `executeBatch` in interface `java.sql.Statement`
Overrides:
  `executeBatch` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### executeLargeBatch

    public long[] executeLargeBatch()
                             throws java.sql.SQLException

Specified by:
  `executeLargeBatch` in interface `java.sql.Statement`
Overrides:
  `executeLargeBatch` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute()
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getParameterMetaData

    public java.sql.ParameterMetaData getParameterMetaData()
                                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setArray

    public void setArray(int aParameterIndex,
                         java.sql.Array aValue)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setAsciiStream

    public void setAsciiStream(int aParameterIndex,
                               java.io.InputStream aValue)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setAsciiStream

    public void setAsciiStream(int aParameterIndex,
                               java.io.InputStream aValue,
                               int aLength)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setAsciiStream

    public void setAsciiStream(int aParameterIndex,
                               java.io.InputStream aValue,
                               long aLength)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBigDecimal

    public void setBigDecimal(int aParameterIndex,
                              java.math.BigDecimal aValue)
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBinaryStream

    public void setBinaryStream(int aParameterIndex,
                                java.io.InputStream aValue)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBinaryStream

    public void setBinaryStream(int aParameterIndex,
                                java.io.InputStream aValue,
                                int aLength)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBinaryStream

    public void setBinaryStream(int aParameterIndex,
                                java.io.InputStream aValue,
                                long aLength)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBlob

    public void setBlob(int aParameterIndex,
                        java.sql.Blob aValue)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBoolean

    public void setBoolean(int aParameterIndex,
                           boolean aValue)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setByte

    public void setByte(int aParameterIndex,
                        byte aValue)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBytes

    public void setBytes(int aParameterIndex,
                         byte[] aValue)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setCharacterStream

    public void setCharacterStream(int aParameterIndex,
                                   java.io.Reader aValue)
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setCharacterStream

    public void setCharacterStream(int aParameterIndex,
                                   java.io.Reader aValue,
                                   int aLength)
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setCharacterStream

    public void setCharacterStream(int aParameterIndex,
                                   java.io.Reader aValue,
                                   long aLength)
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setClob

    public void setClob(int aParameterIndex,
                        java.sql.Clob aValue)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setDate

    public void setDate(int aParameterIndex,
                        java.sql.Date aValue,
                        java.util.Calendar aCalendar)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setDate

    public void setDate(int aParameterIndex,
                        java.sql.Date aValue)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setDouble

    public void setDouble(int aParameterIndex,
                          double aValue)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setFloat

    public void setFloat(int aParameterIndex,
                         float aValue)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setInt

    public void setInt(int aParameterIndex,
                       int aValue)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### addMetaColumnInfo

    protected void addMetaColumnInfo(int aIndex,
                                     int aDataType,
                                     int aPrecision)

deferred상태일때 컬럼 메타 정보를 수동으로 생성한다. 이때 생성하는 기준은 setXXX할때의 sqlType이다.

Parameters:
  `aIndex` - 컬럼 인덱스(1 base)
  `aDataType` - sql type
  `aPrecision` - Precision

#### setLong

    public void setLong(int aParameterIndex,
                        long aValue)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setNull

    public void setNull(int aParameterIndex,
                        int aSqlType)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setNull

    public void setNull(int aParameterIndex,
                        int aSqlType,
                        java.lang.String aTypeName)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          int aTargetSqlType,
                          int aScale)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          int aTargetSqlType)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDefaultPrecisionForDeferred

    protected int getDefaultPrecisionForDeferred(int aTargetSqlType,
                                                 java.lang.Object aValue)

sqlType에 해당하는 기본 precision 값을 구한다.
VARCHAR타입인 경우 value를 이용해 precision을 계산해야 하기때문에 argument로 값을 전달받는다.
deferred인 경우에만 해당 메소드를 이용한다.

Parameters:
  `aTargetSqlType` -
  `aValue` -
Returns:

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setRef

    public void setRef(int i,
                       java.sql.Ref aValue)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setShort

    public void setShort(int aParameterIndex,
                         short aValue)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setString

    public void setString(int aParameterIndex,
                          java.lang.String aValue)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setTime

    public void setTime(int aParameterIndex,
                        java.sql.Time aValue,
                        java.util.Calendar aCalendar)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setTime

    public void setTime(int aParameterIndex,
                        java.sql.Time aValue)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setTimestamp

    public void setTimestamp(int aParameterIndex,
                             java.sql.Timestamp aValue,
                             java.util.Calendar aCalendar)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setTimestamp

    public void setTimestamp(int aParameterIndex,
                             java.sql.Timestamp aValue)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setURL

    public void setURL(int aParameterIndex,
                       java.net.URL aValue)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setUnicodeStream

    public void setUnicodeStream(int aParameterIndex,
                                 java.io.InputStream aValue,
                                 int aLength)
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### addBatch

    public void addBatch(java.lang.String aSql)
                  throws java.sql.SQLException

Specified by:
  `addBatch` in interface `java.sql.Statement`
Overrides:
  `addBatch` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.lang.String aSql,
                           int aAutoGeneratedKeys)
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.Statement`
Overrides:
  `execute` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.lang.String aSql,
                           int[] aColumnIndexes)
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.Statement`
Overrides:
  `execute` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.lang.String aSql,
                           java.lang.String[] aColumnNames)
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.Statement`
Overrides:
  `execute` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.lang.String aSql)
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.Statement`
Overrides:
  `execute` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String aSql)
                                    throws java.sql.SQLException

Specified by:
  `executeQuery` in interface `java.sql.Statement`
Overrides:
  `executeQuery` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.lang.String aSql,
                             int aAutoGeneratedKeys)
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.Statement`
Overrides:
  `executeUpdate` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.lang.String aSql,
                             int[] aColumnIndexes)
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.Statement`
Overrides:
  `executeUpdate` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.lang.String aSql,
                             java.lang.String[] aColumnNames)
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.Statement`
Overrides:
  `executeUpdate` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.lang.String aSql)
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.Statement`
Overrides:
  `executeUpdate` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### getStmtId

    public int getStmtId()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `AltibaseStatement`

#### executeLargeUpdate

    public long executeLargeUpdate()
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setNString

    public void setNString(int aParameterIndex,
                           java.lang.String aValue)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setClob

    public void setClob(int aParameterIndex,
                        java.io.Reader aReader)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setClob

    public void setClob(int aParameterIndex,
                        java.io.Reader aReader,
                        long aLength)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBlob

    public void setBlob(int aParameterIndex,
                        java.io.InputStream aInputStream)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setBlob

    public void setBlob(int aParameterIndex,
                        java.io.InputStream aInputStream,
                        long aLength)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          java.sql.SQLType aTargetSqlType)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          java.sql.SQLType aTargetSqlType,
                          int aScaleOrLength)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`